/*
 * transd.h
 *
 */

#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/select.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <string.h>
#include <macros.h>
#include <syslog.h>
#include "profile.h"
#include "com_err.h"
#include "thr.h"
#include "transd-err.h"


/* globals set at startup */

extern int	VERBOSE;
extern char	PROGNAME[256];
extern char	HOSTNAME[256];
extern char	DBNAME[256];
extern time_t	STARTTIME;
extern int	PID;
extern int	PORT;

extern void
logger(int, char *, ...);

extern int
OrderInit(void);

extern long
OrderText(char*, char*, char**);

extern long
OrderAccept(char*, char*, char**);

extern char *
GetSecureProfile(char*, char***);
